/*
 *  GPSdo - Software for GPSDO
 *  (c) Ad Sekeris 2019
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * File: display.ino - contains all display related software
 */

void FillUtcTime(){
  sprintf(UTC_TIME, "UTC: %02d:%02d:%02d",gps.time.hour(),gps.time.minute(),gps.time.second());
 }

void FillUtcDate(){
  sprintf(UTC_DATE, "     %02d/%02d/%04d",gps.date.day(),gps.date.month(),gps.date.year());
 }

void LcdmeterInit() {
  uint8_t Lend[8]    = {0x07,0x07,0x06,0x06,0x06,0x06,0x07,0x07};
  uint8_t Rend[8]    = {0x1C,0x1C,0x0C,0x0C,0x0C,0x0C,0x1C,0x1C};
  uint8_t Needle0[8] = {0x1F,0x1F,0x00,0x00,0x00,0x00,0x1F,0x1F};
  uint8_t Needle1[8] = {0x1F,0x1F,0x00,0x00,0x00,0x00,0x1F,0x1F};
  uint8_t Needle2[8] = {0x1F,0x1F,0x00,0x00,0x00,0x00,0x1F,0x1F};
  uint8_t Needle3[8] = {0x1F,0x1F,0x00,0x00,0x00,0x00,0x1F,0x1F};
  uint8_t Needle4[8] = {0x1F,0x1F,0x00,0x00,0x00,0x00,0x1F,0x1F};
  uint8_t Needle5[8] = {0x1F,0x1F,0x00,0x00,0x00,0x00,0x1F,0x1F};

  lcd.createChar(0, Lend);
  lcd.createChar(1, Rend);
  lcd.createChar(2, Needle0);
  lcd.createChar(3, Needle1);
  lcd.createChar(4, Needle2);
  lcd.createChar(5, Needle3);
  lcd.createChar(6, Needle4);
  lcd.createChar(7, Needle5);

}

void LCD2004Meter() {
  lcd.setCursor(0,3);
  lcd.printByte(0);
}
